org.eclipse.emf.facet.util.emf.core

## Interface ICatalogManager

Deprecated.

    @Deprecated
    public interface ICatalogManager

Manager for catalogs containing registered elements defined in models.

Since:
  0.2
Noextend:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`boolean` `canBeManaged(EObject root)` Deprecated. Return `true` if the eObject can be managed as a catalog entry.
`void` `manage(EObject root)` Deprecated. This method is called by `CatalogSetManager` when a model registration that can be managed (according to `canBeManaged`) is detected while loading.
`void` `setCatalogSet(CatalogSet catalogSet)` Deprecated. This method is called by the `CatalogSetManager` after the instantiation of this `ICatalogManager`.

### Method Detail

#### canBeManaged

    boolean canBeManaged(EObject root)

Deprecated.
Return `true` if the eObject can be managed as a catalog entry.

Parameters:
  `root` - the root element of a catalog
Returns:
  whether the given element is of the right type to be a catalog root

#### manage

    void manage(EObject root)

Deprecated.
This method is called by `CatalogSetManager` when a model registration that can be managed (according to `canBeManaged`) is detected while loading. This method adds the given root model element to the catalog.

Parameters:
  `root` - a root element of a model that should be added to the catalog

#### setCatalogSet

    void setCatalogSet(CatalogSet catalogSet)

Deprecated.
This method is called by the `CatalogSetManager` after the instantiation of this `ICatalogManager`. This method must attach the catalog(s) managed by this `ICatalogManager` to the given `catalogSet`.

Parameters:
  `catalogSet` - the `CatalogSet` to which the catalog managed by this `ICatalogManager` should be attached